# Community Rules and Practices

This page provides links to documents for common Knative community practices and
a description of Knative's audience.

While the project was started by Google, it has received contributions from [over 200 companies](https://knative.devstats.cncf.io/d/21/prs-authors-companies-table) and is now governed by the [CNCF](https://cncf.io/).

## Community values

This section links to documents about our values.

- [Knative project values](https://github.com/knative/community/blob/main/VALUES.md):
shared goals and values for the community.

- [Knative team values](https://github.com/knative/community/blob/main/TEAM-VALUES.md):
the goals and values we hold as a team.

## Governance

This section links to documents about how the Knative community is governed.

Knative has public and recorded monthly community meetings.  Each component has
one or more working groups driving the effort, and Knative has a single
technical oversight committee monitoring the overall project.

- [Governance](https://github.com/knative/community/blob/main/GOVERNANCE.md):
the Knative governance framework.

- [Community roles](https://github.com/knative/community/blob/main/ROLES.md):
describes the roles individuals can assume within the Knative community such as member, approver, or working group lead.

- [Working groups](https://github.com/knative/community/blob/main/working-groups/WORKING-GROUPS.md):
provides information about our various working groups.

- [Steering Committee (SC)](https://github.com/knative/community/blob/main/STEERING-COMMITTEE.md):
describes our steering committee.

- [Technical Oversight Committee (TOC)](https://github.com/knative/community/blob/main/TECH-OVERSIGHT-COMMITTEE.md):
describes our technical oversight committee.

- [Trademark Committee](https://github.com/knative/community/blob/main/TRADEMARK-COMMITTEE.md):
describes our trademark committee.

- [Annual reports](https://github.com/knative/community/tree/main/annual_reports):
lists previous annual reports.

## Processes

This section links to documents for common Knative community processes.

At the moment, these practices (except for the formation of Working Groups and Lazy Consensus) are recommendations that individual working groups can choose to adopt, rather than requirements.
Each working group should document their processes; either in their own repo or in a pointer to these docs.

- [Reviewing and Merging Pull Requests](https://github.com/knative/community/blob/main/REVIEWING.md):
how we manage pull requests.

- [Working group processes](https://github.com/knative/community/blob/main/mechanics/WORKING-GROUP-PROCESSES.md): how working groups operate.

- [SC election process](https://github.com/knative/community/blob/main/mechanics/SC.md):
elcection process for our steering committee.

- [TOC election process](https://github.com/knative/community/blob/main/mechanics/TOC.md):
election process for our technical oversight committee.

- [Repository Guidelines](https://github.com/knative/community/blob/main/REPOSITORY-GUIDELINES.md):
how we create and remove core repositories.

- [Sandbox repo process](https://github.com/knative/community/blob/main/mechanics/CREATING-A-SANDBOX-REPO.md):
how to create a repo in the [`knative-sandbox`](https://github.com/knative-sandbox) GitHub org.

- [Feature tracks](https://github.com/knative/community/blob/main/mechanics/FEATURE-TRACKS.md):
outlines the process for adding non-trivial features.

- [Golang policy](https://github.com/knative/community/blob/main/mechanics/GOLANG-POLICY.md):
principles regarding the Golang version Knative tests and releases with.

- [Release principles](https://github.com/knative/community/blob/main/mechanics/RELEASE-VERSIONING-PRINCIPLES.md#knative-release-principles):
release principles including information about support and feature phases.

- [Release schedule](https://github.com/knative/community/blob/main/mechanics/RELEASE-SCHEDULE.md):
Knative past and future release dates.

- [Sunsetting features](https://github.com/knative/community/blob/main/mechanics/SUNSETTING-FEATURES.md#knative-feature-sunsetting):
process to sunset features that are getting no apparent usage, but are time consuming to maintain.

## Community calendar

The [Knative community calendar](https://calendar.google.com/calendar/embed?src=knative.team_9q83bg07qs5b9rrslp5jor4l6s%40group.calendar.google.com) ([iCal export file](https://calendar.google.com/calendar/ical/knative.team_9q83bg07qs5b9rrslp5jor4l6s%40group.calendar.google.com/public/basic.ics))
contains events that provide the opportunity to learn more about Knative and meet other users and contributors. This includes Working Group, Steering Committee, and other community meetings.

Events don't have to be organized by the Knative project to be added to the calendar.
If you want to add an event to the calendar please send an email to
[knative-steering@googlegroups.com](mailto:knative-steering@googlegroups.com)
or post to the `#knative` channel in the CNCF [Slack](https://slack.cncf.io) workspace.

<iframe src="https://calendar.google.com/calendar/embed?src=knative.team_9q83bg07qs5b9rrslp5jor4l6s%40group.calendar.google.com&ctz=America%2FLos_Angeles" style="border: 0" width="800" height="600" frameborder="0" scrolling="no"></iframe>

## Knative's audience

Knative is designed for different personas:

![Diagram that displays different Audiences for Knative](images/knative-audience.svg)

### Developers

Knative components offer developers Kubernetes-native APIs for deploying
serverless-style functions, applications, and containers to an auto-scaling
runtime.

To join the conversation, head over to the
[Knative users](https://groups.google.com/d/forum/knative-users) Google group.

### Operators

Knative components are intended to be integrated into more polished products
that cloud service providers or in-house teams in large enterprises can then
operate.

Any enterprise or cloud provider can adopt Knative components into their own
systems and pass the benefits along to their customers.

### Contributors

With a clear project scope, lightweight governance model, and clean lines of
separation between pluggable components, the Knative project establishes an
efficient contributor workflow.

Knative is a diverse, open, and inclusive community.
Your own path to becoming a Knative contributor can begin in any of the
following components:

## Knative authors

Knative is an open source project with an active development community.
The project was started by Google but has contributions from a growing number of industry-leading companies.
For a current list of the authors, see [Authors](https://github.com/knative/serving/blob/main/AUTHORS).
